<?php
require_once(WCF_DIR.'lib/system/event/EventListener.class.php');
require_once(WCF_DIR.'lib/data/user/rank/UserRank.class.php');

class HelpPageCurrentranksListener implements EventListener{
	public function execute($eventObj,$className,$eventName){
		if($eventObj->parentHelpItem=="user.ranks"){
			$user=WCF::getUser();
			$available=array("0");
			$currentranks=array();
			$result=WCF::getDB()->sendQuery("SELECT rankID,groupID FROM wcf".WCF_N."_user_rank WHERE groupID IN (".implode(",",$user->getGroupIDs()).") AND neededPoints<=".intval($user->activityPoints)." AND gender IN (0,".intval($user->gender).") ORDER BY neededPoints DESC, gender DESC");
			while($row=WCF::getDB()->fetchArray($result)){
				if(!isset($available[$row['groupID']]))$available[$row['groupID']]=$row['rankID'];
			}
			$result=WCF::getDB()->sendQuery("SELECT rank.*,groupName FROM wcf".WCF_N."_user_rank rank JOIN wcf".WCF_N."_group USING (groupID) WHERE showInHelp=1 OR rankID IN (".implode(",",$available).") ORDER BY showOrder,rankID");
			while($row=WCF::getDB()->fetchArray($result)){
				if(isset($_GET['rankID']) && $row['rankID']==intval($_GET['rankID']))$row['style']="background-color:#ffd;color:#660;";
				elseif($row['rankID']==$user->rankID)$row['style']="background-color:#efe;color:#090;";
				elseif(in_array($row['rankID'],$available))$row['style']="background-color:#def;color:#06f;";
				$currentranks[]=new UserRank(null,$row);
			}
			WCF::getTPL()->assign("currentranks",$currentranks);
			require_once(WCF_DIR.'lib/system/template/TemplateScriptingCompiler.class.php');
			$compiler=new TemplateScriptingCompiler(WCF::getTPL());
			$description=WCF::getLanguage()->get("wcf.help.item.user.ranks.description");
			$description=preg_replace("/(.*)<table.*?<\/table>(.*)/s","$1{include file='currentranks'}$2",$description);
			WCF::getTPL()->assign("currentranks",WCF::getTPL()->fetchString($compiler->compileString("",$description)));
		}
	}
}
?>