<?php
require_once(WCF_DIR.'lib/system/event/EventListener.class.php');

class UserPageActivityPointsListener implements EventListener{
	public function execute($eventObj,$className,$eventName){
		if(PROFILE_SHOW_ACTIVITYPOINTS){
			$user=$eventObj->frame->user;
			$result=WCF::getDB()->getFirstRow("SELECT isDisabled FROM wcf".WCF_N."_help_item WHERE helpItem='user.ranks'");
			if(MODULE_USER_RANK && !$result['isDisabled']){
				$url="index.php?page=Help&amp;item=user.ranks&amp;rankID=".$user->rankID.SID_ARG_2ND."#rank".$user->rankID;
			}else $url="";
			$eventObj->generalInformation[]=array(
				"title"=>WCF::getLanguage()->get("wcf.user.activityPoints"),
				"icon"=>StyleManager::getStyle()->getIconPath("updateM.png"),
				"value"=>($url?"<a href=\"".$url."\">":"").StringUtil::formatInteger($user->activityPoints).($url?"</a>":"")
			);
		}
	}
}
?>