<?php
require_once(WCF_DIR.'lib/system/event/EventListener.class.php');

class MessageSidebarFactoryActivityPointsListener implements EventListener{
	public function execute($eventObj,$className,$eventName){
		if(MESSAGE_SIDEBAR_SHOW_ACTIVITYPOINTS){
			$result=WCF::getDB()->getFirstRow("SELECT isDisabled FROM wcf".WCF_N."_help_item WHERE helpItem='user.ranks'");
			$link=MODULE_USER_RANK && !$result['isDisabled'];
			foreach($eventObj->messageSidebars as $id=>$sidebar){
				if($sidebar->getUser()->userID && $sidebar->getSidebarObject()->posts!==NULL){
					$sidebar->userCredits=array_merge(array(array(
						"name"=>WCF::getLanguage()->get("wcf.user.activityPoints"),
						"value"=>StringUtil::formatInteger($sidebar->getSidebarObject()->activityPoints),
						"url"=>$link?"index.php?page=Help&amp;item=user.ranks&amp;rankID=".$sidebar->getUser()->rankID.SID_ARG_2ND."#rank".$sidebar->getUser()->rankID:""
					)),$sidebar->userCredits);
				}
			}
		}
	}
}
?>